Elastic Pools - Update
Updates an elastic pool.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/elasticPools/{elasticPoolName}?api-version=2020-11-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
elastic
|
path | True |
|
The name of the elastic pool. |
|
resource
|
path | True |
|
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
server
|
path | True |
|
The name of the server. |
|
subscription
|
path | True |
|
The subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
|
The API version to use for the request. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.licenseType |
The license type to apply for this elastic pool. |
|
| properties.maintenanceConfigurationId |
|
Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur. |
| properties.maxSizeBytes |
|
The storage limit for the database elastic pool in bytes. |
| properties.perDatabaseSettings |
The per database settings for the elastic pool. |
|
| properties.zoneRedundant |
|
Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones. |
| sku |
An ARM Resource SKU. |
|
| tags |
|
Resource tags. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Updated the elastic pool |
|
| 202 Accepted |
Accepted |
|
| Other Status Codes |
*** Error Responses: ***
|
Examples
Assigns maintenance configuration to an elastic pool.
Sample Request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2020-11-01-preview
{
"properties": {
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_1"
}
}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
"name": "sqlcrudtest-8102",
"type": "Microsoft.Sql/servers/elasticPools",
"location": "Japan East",
"kind": null,
"sku": {
"name": "BasicPool",
"tier": "Basic",
"capacity": 50
},
"properties": {
"creationDate": "2017-02-10T01:25:25.033Z",
"state": "Ready",
"maxSizeBytes": 5242880000,
"perDatabaseSettings": {
"minCapacity": 0,
"maxCapacity": 5
},
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_1"
}
}
Resets maintenance configuration of an elastic pool to default.
Sample Request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2020-11-01-preview
{
"properties": {
"maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_Default"
}
}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
"name": "sqlcrudtest-8102",
"type": "Microsoft.Sql/servers/elasticPools",
"location": "Japan East",
"kind": null,
"sku": {
"name": "BasicPool",
"tier": "Basic",
"capacity": 50
},
"properties": {
"creationDate": "2017-02-10T01:25:25.033Z",
"state": "Ready",
"maxSizeBytes": 5242880000,
"perDatabaseSettings": {
"minCapacity": 0,
"maxCapacity": 5
}
}
}
Update an elastic pool with all parameter
Sample Request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2020-11-01-preview
{
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
},
"properties": {
"perDatabaseSettings": {
"minCapacity": 0.25,
"maxCapacity": 1
},
"zoneRedundant": true,
"licenseType": "LicenseIncluded"
}
}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
"name": "sqlcrudtest-8102",
"type": "Microsoft.Sql/servers/elasticPools",
"location": "Japan East",
"kind": null,
"sku": {
"name": "BC_Gen4",
"tier": "BusinessCritical",
"capacity": 2
},
"properties": {
"creationDate": "2017-02-10T01:27:21.32Z",
"state": "Ready",
"maxSizeBytes": 5242880000,
"perDatabaseSettings": {
"minCapacity": 0.25,
"maxCapacity": 1
},
"zoneRedundant": true,
"licenseType": "LicenseIncluded"
}
}
Update an elastic pool with minimum parameters
Sample Request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2020-11-01-preview
{}
Sample Response
{
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
"name": "sqlcrudtest-8102",
"type": "Microsoft.Sql/servers/elasticPools",
"location": "Japan East",
"kind": null,
"sku": {
"name": "BasicPool",
"tier": "Basic",
"capacity": 50
},
"properties": {
"creationDate": "2017-02-10T01:25:25.033Z",
"state": "Ready",
"maxSizeBytes": 5242880000,
"perDatabaseSettings": {
"minCapacity": 0,
"maxCapacity": 5
}
}
}
Definitions
|
Elastic |
An elastic pool. |
|
Elastic |
The license type to apply for this elastic pool. |
|
Elastic |
Per database settings of an elastic pool. |
|
Elastic |
The state of the elastic pool. |
|
Elastic |
An elastic pool update. |
| Sku |
An ARM Resource SKU. |
ElasticPool
An elastic pool.
| Name | Type | Description |
|---|---|---|
| id |
|
Resource ID. |
| kind |
|
Kind of elastic pool. This is metadata used for the Azure portal experience. |
| location |
|
Resource location. |
| name |
|
Resource name. |
| properties.creationDate |
|
The creation date of the elastic pool (ISO8601 format). |
| properties.licenseType |
The license type to apply for this elastic pool. |
|
| properties.maintenanceConfigurationId |
|
Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur. |
| properties.maxSizeBytes |
|
The storage limit for the database elastic pool in bytes. |
| properties.perDatabaseSettings |
The per database settings for the elastic pool. |
|
| properties.state |
The state of the elastic pool. |
|
| properties.zoneRedundant |
|
Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones. |
| sku |
The elastic pool SKU. The list of SKUs may vary by region and support offer. To determine the SKUs (including the SKU name, tier/edition, family, and capacity) that are available to your subscription in an Azure region, use the
|
|
| tags |
|
Resource tags. |
| type |
|
Resource type. |
ElasticPoolLicenseType
The license type to apply for this elastic pool.
| Name | Type | Description |
|---|---|---|
| BasePrice |
|
|
| LicenseIncluded |
|
ElasticPoolPerDatabaseSettings
Per database settings of an elastic pool.
| Name | Type | Description |
|---|---|---|
| maxCapacity |
|
The maximum capacity any one database can consume. |
| minCapacity |
|
The minimum capacity all databases are guaranteed. |
ElasticPoolState
The state of the elastic pool.
| Name | Type | Description |
|---|---|---|
| Creating |
|
|
| Disabled |
|
|
| Ready |
|
ElasticPoolUpdate
An elastic pool update.
| Name | Type | Description |
|---|---|---|
| properties.licenseType |
The license type to apply for this elastic pool. |
|
| properties.maintenanceConfigurationId |
|
Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur. |
| properties.maxSizeBytes |
|
The storage limit for the database elastic pool in bytes. |
| properties.perDatabaseSettings |
The per database settings for the elastic pool. |
|
| properties.zoneRedundant |
|
Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones. |
| sku |
An ARM Resource SKU. |
|
| tags |
|
Resource tags. |
Sku
An ARM Resource SKU.
| Name | Type | Description |
|---|---|---|
| capacity |
|
Capacity of the particular SKU. |
| family |
|
If the service has different generations of hardware, for the same SKU, then that can be captured here. |
| name |
|
The name of the SKU, typically, a letter + Number code, e.g. P3. |
| size |
|
Size of the particular SKU |
| tier |
|
The tier or edition of the particular SKU, e.g. Basic, Premium. |